--[[
"## Title: FarmingLauncher",
"## Author: SimuTool",
"## Support Webseite: forum.simutools.de",
"## Create: 11.01.2019",
"## Special thanks to: Philipp1998",
]]


FarmingLauncher = {}

FarmingLauncher.version = "1.0.0.0 (11.01.2019)";

FarmingLauncher.modDir = g_currentModDirectory;
FarmingLauncher.cpu = 0;
FarmingLauncher.gpu = 0;

local count = 0;
local countText = 0;



function FarmingLauncher:loadMap(name)
	self.FarmingLauncherXML = loadXMLFile("FarmingLauncher", getUserProfileAppPath() .. "fslaunch.xml");
	local gameOV = Utils.getFilename("game_count_back.dds", FarmingLauncher.modDir);
	self.game_count_back = Overlay:new(gameOV,  0.40, 0.91, 0.20, 0.075)
	self.updateMs = 1050;
end;


print(" loading FarmingLauncher V. "..tostring(FarmingLauncher.version).." (by Simutool)")


function FarmingLauncher:update(dt)

	self.updateMs = self.updateMs + dt;
	if self.updateMs >= 1050 then
		self.updateMs = self.updateMs - 1050;
		self.FarmingLauncherXML = loadXMLFile("FarmingLauncher", getUserProfileAppPath() .. "fslaunch.xml");
		while true do
			local baseText = string.format("FarmingLauncher.data(%d)", count);
			local testText = string.format("FarmingLauncher.test(%d)", countText);
			if not hasXMLProperty(self.FarmingLauncherXML, baseText) then
				break;
			end;
			self.cpu = getXMLString(self.FarmingLauncherXML, baseText .. "#cpu");
			self.gpu = getXMLString(self.FarmingLauncherXML, baseText .. "#gpu");
			self.gameTime = getXMLString(self.FarmingLauncherXML, baseText .. "#gameTime");
			self.text = getXMLString(self.FarmingLauncherXML, testText .. "#text"); 
			--renderText(0.07, 0.95, 0.02, string.format("CPU: %s%%			GPU: %s%%", self.cpu, self.gpu))
			count = count + 1;
		end;
	count = 0;
	countText = 0;
	end;
end;

function FarmingLauncher:draw()
	self.game_count_back:render();
	renderText(0.44, 0.938, 0.016, string.format(g_i18n:getText("gameTime"), self.gameTime));
    renderText(0.48, 0.920, 0.014, string.format("%s", getDate("%H:%M:%S")));
end

function FarmingLauncher:deleteMap() end;
function FarmingLauncher:mouseEvent(posX, posY, isDown, isUp, button) end;
function FarmingLauncher:keyEvent(unicode, sym, modifier, isDown) end;
addModEventListener(FarmingLauncher)